__author__ = 'Jeffrey Knockel'
__copyright__ = 'Copyright 2013 Jeffrey Knockel'
__license__ = 'GPL v2'

# XXX: should use a monotonic timer, but python 2.7 doesn't have one
from time import time

class Timeout(object):
    def __init__(self, timeout=0.0):
        self.time = time() + timeout
    def timeout(self, future=0.0):
        return max(0.0, self.time - time() - future)
    def add_time(self, t):
        self.time += t
